[Overview][Constants][Types][Classes][Procedures and functions][Variables][Index] | Reference for unit 'Buttons' (#lcl)

# BidiAdjustButtonLayout

Adjusts the specified button layout for use in bi-directional rendering.

## Declaration

Source position: buttons.pp line 533

`function BidiAdjustButtonLayout(`
`IsRightToLeft: Boolean;`
`Layout: TButtonLayout`
`):TButtonLayout;`

## Arguments

`IsRightToLeft` |  | True when BiDiMode has any value other than bdLeftToRight.
`Layout` |  | Glyph layout needed for the button using the specified BiDi setting.

## Function result

Adjusted glyph layout needed for the value in IsRightToLeft.

## Description

Adjusts the layout for button glyphs to reflect the settings in IsRightToLeft. Uses an implementation constant to get the TButtonLayout value needed for the setting in IsRightLeft.

In general, when IsRightToLeft is True the value in Layout is reversed and used as the return value. blGlyphLeft becomes blGlyphRight, blGlyphTop becomes blGlyphBottom, etc.

When IsRightToLeft is False, the value in Layout is used.